ggiWaitRayPos(3)

NAME
ggiWaitRayPos : Wait for the raster to reach a point

SYNOPSIS
#include <ggi/misc.h>
int ggiWaitRayPos(ggi_visual_t src, int32_t* x, int32_t* y);

DESCRIPTION
ggiWaitRayPos will wait, as best supported by the target, until the raster reaches a certain point on the screen. Actual integer coordinates don't mean anything under current implementations, and the units the coordinates are provided in haven't been firmly decided. Instead, use one of the following macros: GGI_RP_BORDER means the raster is in the border of the screen; GGI_RP_BLANK means the raster is past the border and is turned off; GGI_RP_SYNC means the raster is retracing to the top of the screen; GGI_RP_DONTCARE means you don't care where the raster is in this direction.

RETURN VALUE
0 for OK, otherwise an ggi-error(3) code. In the event that there is an error, it is most likely that the implementation on the given target is limited. In this case, the parameters x, y will be assigned values equal to one of the above macros, which should work on the target, supposing using those values actually accomplishes what you want to do.

SEE ALSO
ggiGetRayPos(3)